<?php require_once('Connections/cn.php'); ?>
<?php
session_start();
if (!isset($_SESSION['MM_Username'])) {
    header ("Location: modulos/inicio/index.php");
}

    // Captura los datos que vienen de inscripciones.php
    $id_alumno=$_GET["id_alumno"];
    $id_carrera=$_GET["id_carrera"];
    $id_periodo=$_GET["id_periodo"];
    $id_sede=$_GET['id_sede'];	
    $id_materia=$_GET['id_materia'];
	$semestre= $_GET['semestre'];
	$uc=$_GET['uc'];
	$uci=$_GET['uci'];	
	$seccion = $_GET['seccion'];
	$maximo= $_GET['maximo'];;
    $nro= $_GET['nro'];	
	
// Deshabilita el botón de Inscribir
?>
<script type="text/javascript">
   window.parent.document.form1.checkbox<?php echo $nro; ?>.checked=false;
   window.parent.document.form1.inscribir.disabled=false;
</script>
<?php

mysql_select_db($database_cn, $cn);	

$sql = "SELECT COALESCE(SUM(uc),0) as inscritos FROM inscripciones_tmp where id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and inscrita='S'";
$rs_uci = mysql_query($sql, $cn) or die(mysql_error());
$row_uci = mysql_fetch_assoc($rs_uci);
$uci = $row_uci['inscritos'];


// Tomo el código de la sección donde quiere inscribir la materia.
$sql_codsec = "SELECT codigo_seccion FROM  inscripciones_tmp WHERE id_alumno='$id_alumno' and id_materia='$id_materia' and semestre='$semestre' and id_seccion='$seccion'"; 
$rst_codsec = mysql_query($sql_codsec, $cn) or die(mysql_error());
$row_codsec = mysql_fetch_assoc($rst_codsec);
$codigo_seccion = $row_codsec['codigo_seccion'];
	  
$sql = "Update inscripciones_tmp set inscrita='N' WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia'";
$rs = mysql_query($sql, $cn) or die(mysql_error());

//********************************************************************
// Valida el choque de horas de la materia que se esta inscribiendo.
//********************************************************************
$sql = "SELECT concat(codigo_dia,codigo_hora)
FROM horarios
WHERE 
horarios.seccion = '$codigo_seccion'
AND horarios.id_materia = '$id_materia'
AND concat(codigo_dia,codigo_hora) 
IN 
(SELECT concat(codigo_dia,codigo_hora)
FROM  horarios, `inscripciones_tmp` 
WHERE 
inscripciones_tmp.id_alumno ='$id_alumno'
AND inscripciones_tmp.inscrita='S'
AND horarios.seccion = inscripciones_tmp.codigo_seccion
AND horarios.id_materia = inscripciones_tmp.id_materia
AND horarios.codigo_turno = inscripciones_tmp.turno
AND horarios.codigo_sede = inscripciones_tmp.sede)";

$rs = mysql_query($sql, $cn) or die(mysql_error());
$rows = mysql_num_rows($rs);
if($rows==0){
// **********************
   if($seccion!="0"){
      // Chequea Cupos disponibles.
      $sql = "SELECT cupos-inscritos as cupos_disponibles FROM oferta_academica WHERE id_carrera='$id_carrera' AND            id_periodo='$id_periodo' AND sede='$id_sede' AND id_materia='$id_materia' AND id_seccion='$seccion' AND            semestre='$semestre' ";
      $rs = mysql_query($sql, $cn) or die(mysql_error());
      $rows = mysql_num_rows($rs);
      $rst = mysql_fetch_assoc($rs);
      $cupos_disponibles=$rst["cupos_disponibles"]-1;
      if($cupos_disponibles>0){
   
      // Inscribe la materia.
      mysql_select_db($database_cn, $cn);
      $sql = "Update inscripciones_tmp set inscrita='S' WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia' and id_seccion='$seccion'";
      $rs = mysql_query($sql, $cn) or die(mysql_error());
      $creditos_inscritos=$uci+$uc;
	  if(($creditos_inscritos)<=$maximo)
      {
	     if($creditos_inscritos==$maximo){
	        ?>
	        <script type="text/javascript">	   
	            msj="!ATENCIÓN!.\nCon esta selección ya tiene inscritas las unidades crédito materias permitidas.";
	 	        alert(msj);
	        </script>
	       <?php
	     }
	     ?>
	        <script type="text/javascript">
		      window.parent.document.form1.checkbox<?php echo $nro; ?>.checked=true;
	        </script>
	     <?php
	 }
	 else{
	  mysql_select_db($database_cn, $cn);
   $sql = "Update inscripciones_tmp set inscrita='N' WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and sede='$id_sede' and id_materia='$id_materia' and id_seccion='$seccion'";
   $rs = mysql_query($sql, $cn) or die(mysql_error());
	  $creditos_inscritos=$uci;
	  ?>
	  <script type="text/javascript">	   
	    msj="Inscripción de Unidad Curricular no procesada.\nSólo puede inscribir <?php echo $maximo ?> Unidades Crédito.";
	 	alert(msj);
		window.parent.document.form1.seccion<?php echo $nro; ?>.value=0;
		window.parent.document.form1.seccion<?php echo $nro; ?>.focus();
	  </script>
	<?php
	}
	//***
	}
      else{
          ?>
	      <script type="text/javascript">	   
	         msj="!Lo sentimos!.\nUnidad curricular no tiene cupo en la sección seleccionada.\nIntente con otra sección.";
	 	     alert(msj);
			 var i=<?php echo $nro-1; ?>;
			 window.parent.document.form1.checkbox<?php echo $nro; ?>.checked=false;
		     window.parent.document.form1.seccion[i].value=0;
		     window.parent.document.form1.seccion[i].focus();
	      </script>
	     <?php
	     // Coloca al estudiante que no consiguió cupo en una unidad curricular en lista de espera.
     }  
	
	
}
else{
   // Materia no isncrita.
   $creditos_inscritos=$uci-$uc;
    ?>
	      <script type="text/javascript">
		 
		     window.parent.document.form1.checkbox<?php echo $nro; ?>.checked=false;
		     
	      </script>
		  <?php
}

}
else{
    if($seccion!="0"){
   
	   ?>
	      <script type="text/javascript">	   
	         msj="!Lo sentimos!.\nUnidad curricular <<<?php echo $id_materia ?>>> Sección: <<<?php echo $seccion ?>>> causa choque de horas.\nIntente con otra sección.";
	 	     alert(msj);
			 var i=<?php echo $nro-1; ?>;
			 window.parent.document.form1.checkbox<?php echo $nro; ?>.checked=false;
		     window.parent.document.form1.seccion[i].value=0;
		     window.parent.document.form1.seccion[i].focus();
	      </script>
	   <?php
     }
	 else{

	 }
}	

// Retorna al formulario los créditos inscritos.

$sql = "SELECT COALESCE(SUM(uc),0) as inscritos FROM inscripciones_tmp where id_alumno='$id_alumno' and id_carrera='$id_carrera' and id_periodo='$id_periodo' and inscrita='S'";
$rs_uci = mysql_query($sql, $cn) or die(mysql_error());
$row_uci = mysql_fetch_assoc($rs_uci);
$uci = $row_uci['inscritos'];
?>
<script type="text/javascript">	   
window.parent.document.form1.creditos_inscritos.value=<?php echo $uci; ?>;
 if('<?php echo $creditos_inscritos; ?>'==0) window.parent.document.form1.inscribir.disabled=true;
</script>




